Bug 809542 - When auto-moving within message list, move to "most preferred" or "least preferred unread"
When auto-moving within message list, move to "most preferred" or "least pref...
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: evolution (Show other bugs)
6.3
Unspecified Unspecified
medium Severity medium
: beta
: 6.4
Assigned To: Matthew Barnes
Desktop QE
:
Depends On: 883010
Blocks: 1025807
  Show dependency treegraph
 
Reported: 2012-04-03 11:39 EDT by David Jaša
Modified: 2014-01-02 06:00 EST (History)
5 users (show)

See Also:
Fixed In Version: evolution-2.32.3-2.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 1025807 (view as bug list)
Environment:
Last Closed: 2013-11-21 00:04:34 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
GNOME Desktop 621839 None None None Never

  None (edit)
Description David Jaša 2012-04-03 11:39:09 EDT
Description of problem:
When auto-moving within message list, move to "most preferred" or "least preferred unread". Auto moving within messages happens pretty often when e.g. user switches to the folder from another folder or when she clears search filter.

Version-Release number of selected component (if applicable):
evolution-2.28.3-24.el6.x86_64

How reproducible:
often

Steps to Reproduce:
1. move to the folder from another folder OR apply a search filter and clear it again
2.
3.
  
Actual results:
evolution moves in folders lists to one of following:
  * the top of message list (in my case, to the oldest - least 
    interesting - actually)
  * somewhere randomly among unread messages

Expected results:
evolution moves in message list so that "least preferred" unread message is visible - in my case of sorting by date, it's the oldest unread message

if the above is not possible, then it should move to "most preferred" message - in my case, the newest one aka the bottom of the list.

Additional info:
Comment 1 Milan Crha 2012-04-04 07:32:25 EDT
I looked briefly in the code and the rule for selecting a message when moving to a folder looks close to this:
a) if previously selected message exists, select it
b) if it doesn't exist or is not saved (like when multiple messages were
   selected when leaving the folder), then pick message with the same uid from
   the previous folder (usually doesn't apply)
c) then pick first message in the list

That's only a rough view from the code, though.

Current evolution, the 3.4.0, uses different approach, it picks unread message, if it cannot restore previously selected message. It's part of 2.30 too, according to:
https://bugzilla.gnome.org/show_bug.cgi?id=621839

Thus patches available.
Comment 2 RHEL Product and Program Management 2012-07-10 02:35:32 EDT
This request was not resolved in time for the current release.
Red Hat invites you to ask your support representative to
propose this request, if still desired, for consideration in
the next release of Red Hat Enterprise Linux.
Comment 3 RHEL Product and Program Management 2012-07-10 19:09:05 EDT
This request was erroneously removed from consideration in Red Hat Enterprise Linux 6.4, which is currently under development.  This request will be evaluated for inclusion in Red Hat Enterprise Linux 6.4.
Comment 4 David Jaša 2012-08-13 08:33:35 EDT
I noticed one thing: it often sort-of-works - when switching to a folder with multiple unread, evo centers at the oldest unread message, but it leads to wrong behaviour in threaded view with Date (ascendin) sort:

[lots of old threads]
- thread a) start
--
--
--- unread message #2    <-- topmost unread
[other threads]
- thread b) start
--
--- unread message #1    <-- oldest unread
--
--- unread message #3    <-- newest unread

as you can see, topmost unread should be focused when user switches to the folder instead of oldest unread because sorting of threads based on thread newes message can differ wildly from message order in flat view.
Comment 5 RHEL Product and Program Management 2012-12-14 02:08:07 EST
This request was not resolved in time for the current release.
Red Hat invites you to ask your support representative to
propose this request, if still desired, for consideration in
the next release of Red Hat Enterprise Linux.
Comment 6 Milan Crha 2013-05-09 14:37:12 EDT
Upstream patch part of 2.32.3, thus depend on the rebase bug.
Comment 15 errata-xmlrpc 2013-11-21 00:04:34 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2013-1540.html

Note You need to log in before you can comment on or make changes to this bug.